summaryrefslogtreecommitdiffstats
path: root/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'setup.sh')
-rwxr-xr-xsetup.sh18
1 files changed, 13 insertions, 5 deletions
diff --git a/setup.sh b/setup.sh
index a61da44..2905cda 100755
--- a/setup.sh
+++ b/setup.sh
@@ -5,16 +5,20 @@
case "${1}" in
all)
- ./setup.sh prepare
- ./setup.sh openshift
- ./setup.sh configure
- ./setup.sh projects
+ ./setup.sh -i $inventory prepare || exit 1
+ ./setup.sh -i $inventory openshift || exit 1
+ ./setup.sh -i $inventory gluster || exit 1
+ ./setup.sh -i $inventory configure || exit 1
+ ./setup.sh -i $inventory projects || exit 1
;;
local)
apply playbooks/local.yml || exit 1
;;
vm)
- apply playbooks/ands-setup-vm.yml || exit 1
+ apply playbooks/ands-vm-setup.yml || exit 1
+ ;;
+ vmconf)
+ apply playbooks/ands-vm-conf.yml || exit 1
;;
prepare)
apply playbooks/ands-prepare.yml || exit 1
@@ -22,6 +26,9 @@ case "${1}" in
openshift)
apply playbooks/openshift-install.yml || exit 1
;;
+ gluster)
+ apply playbooks/ands-gluster.yml || exit 1
+ ;;
configure)
apply playbooks/openshift-setup.yml || exit 1
;;
@@ -34,6 +41,7 @@ case "${1}" in
nodes)
./setup.sh prepare || exit 1
./setup.sh openshift-nodes || exit 1
+ ./setup.sh gluster || exit 1
./setup.sh configure || exit 1
;;
users)